stages:
  - build
  - release

variables:
  CONTAINER_DEV_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  CONTAINER_RELEASE_IMAGE: $CI_REGISTRY_IMAGE:latest

image: docker:19.03.12
services:
  - docker:19.03.12-dind

before_script:
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
  stage: build
  script:
    - docker build --pull -t $CONTAINER_DEV_IMAGE --build-arg CI_COMMIT_SHORT_SHA .
    - docker push $CONTAINER_DEV_IMAGE

release:
  stage: release
  only:
  - master
  script:
    - docker pull $CONTAINER_DEV_IMAGE
    - docker tag $CONTAINER_DEV_IMAGE $CONTAINER_RELEASE_IMAGE
    - docker push $CONTAINER_RELEASE_IMAGE

